# tsunpack-csharp

A C# (.NET 2.0) rewrite of `TSUnpack.exe`, a utility for Microsoft Train
Simulator that allows extracting Packaged Activities (.apk) files.

Packaged Activities are gzipped files that hold a pretty simple structure
describing various files to extract at the root of the Microsoft Train
Simulator directory to install a new *activity*: a new scenario that can be
played on an existing map with existing vehicles.  It is however technically
possible to use a `.apk` to install absolutely anything onto the game's path.

A Kaitai Struct file is available in `TSUnpackLibrary/msts_apk.ksy` and has
been used to generate the C# parser used by this tool.