meta:
  id: msts_apk
  title: Uncompressed Packaged Activity
  application: Microsoft Train Simulator
  file-extension: apk
  license: AGPL-3.0
  encoding: utf-16
  endian: le
types:
  apk_string:
    -webide-representation: '{value}'
    seq:
      - id: len
        type: u4
      - id: value
        type: str
        size: (len - 1) * 2
      - id: terminator
        type: u2
  file:
    -webide-representation: '{name}'
    seq:
      - id: file_len
        type: u4
      - id: name
        type: apk_string
      - id: content
        size: file_len
seq:
  - id: route_display_name
    type: apk_string
  - id: route_id1
    type: apk_string
  - id: route_id2
    type: apk_string
  - id: unknown_number
    type: u4
    doc: I do not know what this value is and I can work without it!
  - id: file_count
    type: u4
  - id: files
    type: file
    repeat: expr
    repeat-expr: file_count